Replaced /bin/sh by /bin/bash
[hvlinux.git] / stage2 / cis-procps
index 7728375..8bd8e5a 100755 (executable)
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
+
 # First argument of this script is the package name
 
 # Reading system configuration informations, functions and package versions.
@@ -7,11 +9,10 @@ source ../functions
 source ../packages-list
 
 # Applying patches (if any)
-apply_patches ${1} &&
+apply_patches ${1}
 
-cd ${LFS_TMP}/${1} &&
-make -j ${MAKEJOBS} &&
+cd ${LFS_TMP}/${1}
+make -j ${MAKEJOBS}
 make install
 
-# Return last error
 exit $?